Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLAddRow

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLAddRow

public class DHTMLAddRow
extends DHTMLElement

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `dataName`
`protected DHTMLElement` | `row`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLAddRow(java.lang.String dataName, DHTMLElement row)`

Method Summary
`java.lang.String` | `getDataName()`
`DHTMLElement` | `getrow()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setDataName(java.lang.String dataName)`
`void` | `setRow(DHTMLElement row)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataName

    protected java.lang.String dataName

### row

    protected DHTMLElement row

Constructor Detail

### DHTMLAddRow

    public DHTMLAddRow(java.lang.String dataName,
                       DHTMLElement row)

Method Detail

### setDataName

    public void setDataName(java.lang.String dataName)

### getDataName

    public java.lang.String getDataName()

### setRow

    public void setRow(DHTMLElement row)

### getrow

    public DHTMLElement getrow()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD